aboutsummaryrefslogtreecommitdiff
path: root/media/sound
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
commit2cd81aedce1f3e0cf3a1c597e2420110a5a7894a (patch)
tree7fe740917fbb54b8e10e42c40bcd69d27bed6ff3 /media/sound
parentacbbe3011c0d08bf44de093f9d9cd3a1d08ac14a (diff)
downloadslackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.gz
slackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.bz2
packages now shipping with slack-required
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1980 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/sound')
-rwxr-xr-xmedia/sound/ardour/ardour.SlackBuild8
-rwxr-xr-xmedia/sound/audacity/audacity.SlackBuild8
-rwxr-xr-xmedia/sound/cmt/cmt.SlackBuild8
-rwxr-xr-xmedia/sound/darkice/darkice.SlackBuild8
-rwxr-xr-xmedia/sound/darksnow/darksnow.SlackBuild8
-rwxr-xr-xmedia/sound/ezstream/ezstream.SlackBuild40
-rwxr-xr-xmedia/sound/hydrogen/hydrogen.SlackBuild8
-rwxr-xr-xmedia/sound/jack-rack/jack-rack.SlackBuild8
-rwxr-xr-xmedia/sound/jack/jack.SlackBuild8
-rwxr-xr-xmedia/sound/lmms/lmms.SlackBuild8
-rwxr-xr-xmedia/sound/pd/pd.SlackBuild8
-rwxr-xr-xmedia/sound/qjackctl/qjackctl.SlackBuild8
-rwxr-xr-xmedia/sound/xmms/xmms.SlackBuild29
13 files changed, 121 insertions, 36 deletions
diff --git a/media/sound/ardour/ardour.SlackBuild b/media/sound/ardour/ardour.SlackBuild
index 336cf1ec..5ff244ce 100755
--- a/media/sound/ardour/ardour.SlackBuild
+++ b/media/sound/ardour/ardour.SlackBuild
@@ -236,11 +236,17 @@ ardour:
ardour:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/audacity/audacity.SlackBuild b/media/sound/audacity/audacity.SlackBuild
index 3f0a831f..3c3331d8 100755
--- a/media/sound/audacity/audacity.SlackBuild
+++ b/media/sound/audacity/audacity.SlackBuild
@@ -143,11 +143,17 @@ audacity: http://audacity.sourceforge.net/
audacity:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/cmt/cmt.SlackBuild b/media/sound/cmt/cmt.SlackBuild
index c82d6b7c..c322824a 100755
--- a/media/sound/cmt/cmt.SlackBuild
+++ b/media/sound/cmt/cmt.SlackBuild
@@ -186,11 +186,17 @@ cmt:
cmt:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/darkice/darkice.SlackBuild b/media/sound/darkice/darkice.SlackBuild
index 48c18a40..0f251779 100755
--- a/media/sound/darkice/darkice.SlackBuild
+++ b/media/sound/darkice/darkice.SlackBuild
@@ -175,11 +175,17 @@ darkice:
darkice:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/darksnow/darksnow.SlackBuild b/media/sound/darksnow/darksnow.SlackBuild
index df929eb2..e2098682 100755
--- a/media/sound/darksnow/darksnow.SlackBuild
+++ b/media/sound/darksnow/darksnow.SlackBuild
@@ -103,10 +103,16 @@ make $NUMJOBS || exit $ERROR_MAKE
strip darksnow
make make_pkg
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
mv *-1rd.tgz $REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/ezstream/ezstream.SlackBuild b/media/sound/ezstream/ezstream.SlackBuild
index 370a3653..2881fee0 100755
--- a/media/sound/ezstream/ezstream.SlackBuild
+++ b/media/sound/ezstream/ezstream.SlackBuild
@@ -10,12 +10,12 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for ezstream, by Silvio Rhatto - rhatto at riseup.net
-# requires: libshout
+# requires: libshout
# tested: ezstream-0.5.1
#
@@ -39,7 +39,7 @@ TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+PKG_WORK="$TMP/$SRC_NAME"
CONF_OPTIONS=${CONF_OPTIONS:=""}
NUMJOBS=${NUMJOBS:=""}
@@ -55,8 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -66,13 +67,14 @@ ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
# Clean up any leftovers of previous builds
-rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG_WORK" 2> /dev/null
rm -rf "$PKG" 2> /dev/null
# Create directories if necessary
mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.gz"
@@ -82,10 +84,10 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-
# Untar
-cd "$TMP"
+cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
cd "$PKG_SRC"
# Configure
@@ -111,15 +113,19 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
# Install documentation
DOCS="COPYING ChangeLog INSTALL NEWS README"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
@@ -137,11 +143,17 @@ gnuradio:
gnuradio:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf "$PKG_SRC" "$PKG"
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/hydrogen/hydrogen.SlackBuild b/media/sound/hydrogen/hydrogen.SlackBuild
index 11f4b7b7..b6a4b3d7 100755
--- a/media/sound/hydrogen/hydrogen.SlackBuild
+++ b/media/sound/hydrogen/hydrogen.SlackBuild
@@ -175,11 +175,17 @@ hydrogen:
hydrogen:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/jack-rack/jack-rack.SlackBuild b/media/sound/jack-rack/jack-rack.SlackBuild
index 9e352499..43891fa6 100755
--- a/media/sound/jack-rack/jack-rack.SlackBuild
+++ b/media/sound/jack-rack/jack-rack.SlackBuild
@@ -219,11 +219,17 @@ jack-rack:
jack-rack:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/jack/jack.SlackBuild b/media/sound/jack/jack.SlackBuild
index b7ccaa22..f568cab3 100755
--- a/media/sound/jack/jack.SlackBuild
+++ b/media/sound/jack/jack.SlackBuild
@@ -143,11 +143,17 @@ jack:
jack:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/lmms/lmms.SlackBuild b/media/sound/lmms/lmms.SlackBuild
index 9bbe776c..5fab9db4 100755
--- a/media/sound/lmms/lmms.SlackBuild
+++ b/media/sound/lmms/lmms.SlackBuild
@@ -175,11 +175,17 @@ lmms:
lmms:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/pd/pd.SlackBuild b/media/sound/pd/pd.SlackBuild
index 4899bcdd..5b9389fc 100755
--- a/media/sound/pd/pd.SlackBuild
+++ b/media/sound/pd/pd.SlackBuild
@@ -176,11 +176,17 @@ pd:
pd:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/qjackctl/qjackctl.SlackBuild b/media/sound/qjackctl/qjackctl.SlackBuild
index 6817779e..24afb497 100755
--- a/media/sound/qjackctl/qjackctl.SlackBuild
+++ b/media/sound/qjackctl/qjackctl.SlackBuild
@@ -175,11 +175,17 @@ qjackctl:
qjackctl:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/media/sound/xmms/xmms.SlackBuild b/media/sound/xmms/xmms.SlackBuild
index 2eabc998..53bf924d 100755
--- a/media/sound/xmms/xmms.SlackBuild
+++ b/media/sound/xmms/xmms.SlackBuild
@@ -10,12 +10,12 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for xmms, by Alexandre Vieira de Souza
-# requires: alsa-lib audiofile esound glib glibc-solibs gtk+ libICE libSM libX11 libXau libXdmcp libXext libXxf86vm libdrm libmikmod libogg libvorbis libxcb mesa zlib
+# requires: libmikmod
# tested: xmms-1.2.11
#
@@ -41,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_WORK="$TMP/$SRC_NAME"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j1"}
+NUMJOBS=${NUMJOBS:="-j4"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -55,8 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -86,7 +87,7 @@ fi
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
cd "$PKG_SRC"
# Configure
@@ -110,7 +111,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Install documentation
-DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*"
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING LICENSE SIGNATURE readme.*"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
for doc in $DOCS; do
if [ -f "$doc" ]; then
@@ -122,9 +123,9 @@ done
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
@@ -142,11 +143,17 @@ xmms: by avs
xmms:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi